Subject: Re: [PATCH 2/2] pull --rebase: reinstate helpful message on abort

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Oct 2015 11:36:06 -0700

Johannes Schindelin <[email-masked]> writes:

> When calling `git pull --rebase`, things can go wrong. In such a case,
> we want to tell the user about the most common ways out of this fix:
> ...
>  builtin/am.c | 1 +
>  1 file changed, 1 insertion(+)

It is strange to see a patch to am that does not talk anything about
it, though.  And looking at the codepath, the issue does not have
much to do with "pull --rebase".  It doesn't even have much to do
with "rebase".  This is purely about "am -3" fallback codepath.

Because fall-back-threeway wants to react to an error (i.e. calls
merge_recursive_generic() and wants to use its return value), but
merge_recursive_generic() can die, it fails to do so.  It would not
even run rerere(), for example.